<?php

if (!defined('ABSPATH')) {
    exit;
}

?>

<section class="woocommerce-order-details">
    <h2 class="woocommerce-order-details__title">
        <?= __('Reference Details to Pay', 'payshop') ?>
        <?php if ($order->get_payment_method() == 'payshop_reference') : ?>
            <img src="<?= PAYSHOP_PLUGIN_URL . 'templates/img/payshop-reference.png' ?>">
        <?php else: ?>
            <img src="<?= PAYSHOP_PLUGIN_URL . 'templates/img/multibanco-reference.png' ?>" width="30px" style="margin-bottom: -10px">
        <?php endif; ?>
    </h2>

    <table class="woocommerce-table woocommerce-table--order-details shop_table">
        <thead>
            <tr>
                <th><?= __('Name', 'payshop') ?></th>
                <th><?= __('Value', 'payshop') ?></th>
            </tr>
        </thead>

        <tbody>
            <?php if ($referenceEntity) : ?>
                <tr>
                    <td>
                        <?= __('Entity', 'payshop') ?>
                    </td>
                    <td>
                        <?= $referenceEntity ?>
                    </td>
                </tr>
            <?php endif; ?>

            <tr>
                <td>
                    <?= __('Reference', 'payshop') ?>
                </td>
                <td>
                    <?= $reference ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?= __('Reference expiration Date', 'payshop') ?>
                </td>
                <td>
                    <?= $referenceEndDate ?>
                </td>
            </tr>
        </tbody>
    </table>
</section>